<TeXmacs|1.0.1.18>

<style|article>

<\body>
  \;

  <block|<tformat|<twith|table width|1par>|<cwith|1|1|1|1|cell
  background|white>|<cwith|1|1|3|3|cell background|white>|<cwith|1|1|3|3|cell
  halign|r>|<cwith|1|1|2|2|cell background|white>|<cwith|1|1|2|2|cell
  valign|c>|<cwith|1|1|2|2|cell halign|c>|<cwith|1|1|2|2|cell
  lborder|none>|<cwith|1|1|1|1|cell rborder|0cm>|<cwith|1|1|3|3|cell
  lborder|0cm>|<cwith|1|1|2|2|cell rborder|0cm>|<cwith|1|1|1|1|cell
  lsep|0.5cm>|<cwith|1|1|3|3|cell rsep|0.5cm>|<table|<row|<cell|<postscript|drgeo.png|*5/8|*5/8||||>>|<cell|<with|font
  size|1.68|<strong|<title|<title|Dr Geo e <title|>la g<title|>eometria
  tolemaica>>>>>|<cell|<postscript|drgeo.png|*5/8|*5/8||||>>>>>>

  <\expand|make-title>
    <title|>

    <author|Andrea Centomo>

    <expand|title-email|andrea.centomo@istruzione.it<expand|made-by-TeXmacs>>
  </expand>

  <section|Introduzione>

  \;

  L'uso di software per la manipolazione dinamica di oggetti geometrici
  costituisce, da lungo tempo, un ausilio essenziale nella didattica della
  geometria. I motivi di questo sono stati spesso evidenziati: attraverso il
  software  possibile realizzare costruzioni geometriche molto accurate e
  modificarle dinamicamente, raggiungendo un alto grado di visualizzazione
  nei diversi contesti in cui si opera. In questo modo si riesce a conferire,
  anche ad argomenti usualmente ostici come lo studio dell'azione delle
  trasformazioni geometriche, una maggiore incisivit e chiarezza. Allo
  stesso tempo l'uso del software offre allo studente diverse occasioni
  formative che vanno dalla sperimentazione di situazioni geometriche nuove,
  alla verifica empirica della validit o meno di proposizioni, alla
  riproduzione di dimostrazioni costruttive e, in casi fortunati, alla
  formulazione di congetture che portano a nuovi risultati.\ 

  Normalmente lo studio della geometria, con l'ausilio di programmi
  interattivi, e quello dei fondamenti della programmazione, vengono
  affrontati in modo separato e, particolarmente il secondo, in una fase
  avanzata del curricolo. Non mancano tuttavia interessanti eccezioni in
  questo senso, come ad esempio l'utilizzo del Logo nella scuola elementare.
  Attraverso l'uso del Logo si apprende facilmente ad associare le istruzioni
  del linguaggio all'accadere di fatti geometrici su un foglio di lavoro.
  Tornando ai programmi di geometria interattiva spesso essi tendono, come
  approccio generale, ad offrire molte funzionalit, senza preoccuparsi di
  costruire ambienti di apprendimento intelligenti, che sollecitino
  l'utilizzatore a costruirsene di nuove.\ 

  Nell'ampio panorama di programmi dedicati allo studio della geometria
  interattiva si differenzia, da questo punto di vista, Dr Geo. Dr Geo  un
  programma <em|open source>, ossia liberamente distribuito con il codice
  sorgente, sviluppato da Hilaire Fernandes dell'associazione francese Ofset
  (organization for free software in education and teaching), che funziona in
  ambiente Linux. Al suo interno Dr Geo ospita un semplice ambiente di
  programmazione in linguaggio Guile, che permette di interagire con
  l'apparato di funzionalit geometriche tipiche di tutti i software di
  geometria interattiva.

  In questo breve articolo, per mostrare le potenzialit di Dr Geo, si
  analizzano alcune situazioni geometriche prese dall'<em|Almagesto> di
  Tolomeo. Questa scelta particolare  dettata anche dal desiderio di
  invogliare i lettori ad approfondire la conoscenza dell'opera tolemaica,
  eventualmente prendendo visione della notevole traduzione inglese di J.
  Toomer [1]. Contrariamente a quanto spesso si crede infatti
  l'<em|Almagesto> non  un libro di filosofia, ma una grande opera
  scientifica, di matematica applicata allo studio dei moti planetari. Da
  questo punto di vista il suo titolo greco originale
  <with|mode|math|><with|mode|math|M\<alpha\>\<theta\>\<eta\>\<mu\>\<alpha\>\<tau\>\<iota\>\<kappa\><wide|\<eta\>|\<grave\>>
  > <with|mode|math|\<sigma\><wide|\<upsilon\>|\<acute\>>\<nu\>\<tau\>\<alpha\>\<xi\>\<iota\>\<varsigma\>>
  - Sintassi Matematica -  pi fedele ai contenuti dell'usuale appellativo
  <em|Almagesto> - La Grande - ad essa conferito dagli astronomi arabi.

  <section|Pentagono e decagono>

  \;

  Nel libro I, capitolo decimo, dell'<em|Almagesto> [1] vengono esposte le
  considerazioni geometriche che portano alla costruzione della Tavola delle
  corde del capitolo undicesimo. Quanto contenuto in questo capitolo potrebbe
  essere integralmente compreso da uno studente di liceo e potrebbe essere
  fruttuosamente utilizzato per lo studio della trigonometria [2]. Qui ci
  limitiamo ad analizzare i contenuti dei primi due teoremi, di cui il
  secondo  noto come teorema di Tolomeo.

  Iniziamo osservando come la brevissima introduzione all'argomento, che
  Tolomeo appone all'inizio del capitolo, sia stilisticamente molto vicina a
  quanto si ritrova nella letteratura matematica contemporanea. In essa,
  oltre ad alcuni dettagli tecnici, si dice che per quanto verr trattato nel
  seguito si ha bisogno di una tavola delle corde e che per determinarla
  rigorosamente  necessario rifarsi ad alcuni teoremi geometrici.
  Immediatamente dopo Tolomeo enuncia e dimostra, con riferimento alla figura
  1, il seguente teorema:

  <\theorem>
    Sia <with|mode|math|ABO> la circonferenza di diametro <with|mode|math|AB>
    e centro <with|mode|math|C> e sia <with|mode|math|LO> il diametro
    perpendicolare ad <with|mode|math|AB>. Detto <with|mode|math|M> il punto
    medio del raggio <with|mode|math|CB>, si consideri il punto
    <with|mode|math|Z> appartenente ad <with|mode|math|AB> e tale che
    <with|mode|math|MZ=MO>, allora <with|mode|math|OZ>  uguale al lato del
    pentagono regolare inscritto nella circonferenza <with|mode|math|ABO> e
    <with|mode|math|CZ>  uguale al lato del decagono regolare inscritto
    nella stessa circonferenza.
  </theorem>

  <vspace*|1fn>

  <expand|big-figure|<postscript|figura1.png|*5/8|*5/8||||>|Costruzione
  tolemaica con Dr Geo>

  La dimostrazione del teorema richiede conoscenze approfondite di alcuni
  teoremi di geometria euclidea e per essa si rimanda direttamente
  all'<em|Almagesto>. Utilizziamo invece Dr Geo per costruire, a partire dal
  teorema precedente, il pentagono regolare inscritto in <with|mode|math|ABO>
  e per salvare in una macro-costruzione questa costruzione, che non
  appartiene alle costruzioni base offerte dal programma, per eventuali usi
  futuri. Le costruzione del pentagono  rappresentata in figura 2.
  <vspace*|1fn>

  \;

  <expand|big-figure|<postscript|figura2.png|*5/8|*5/8||||>|Pentagono
  regolare>

  La creazione di macro in Dr Geo  completamente guidata. Per costruire ad
  esempio il pentagono inscritto in una circonferenza a partire dalla
  costruzione tolemaica  sufficiente specificare come <em|parametri di
  ingresso> i punti <with|mode|math|C> e <with|mode|math|O>, come
  <em|parametri di uscita> lati e vertici del pentagono e assegnare <em|nome>
  e <em|descrizione> della macro.

  Dopo aver enunciato e diostrato il teorema precedente Tolomeo calcola il
  valore delle corde relative agli angoli di
  <with|mode|math|36<rsup|\<circ\>>> e di <with|mode|math|72<rsup|\<circ\>>>
  ottenendo i valori:

  <\expand|equation*>
    crd(36<rsup|\<circ\>>)=34;4;55<rsup|p>
    \ \ \ \ \ \ \ \ \ \ \ crd(72<rsup|\<circ\>>)=70;32,3<rsup|p>
  </expand>

  \ \ che si riferiscono ad una circonferenza di raggio 60. La strana
  scrittura dei risultati, tipica dell'<em|Almagesto>, si pu trasformare
  agevolmente in una scrittura decimale. Se ad esempio consideriamo il caso
  dell'angolo di <with|mode|math|72<rsup|\<circ\>>> otteniamo:

  <\expand|equation*>
    crd(72<rsup|\<circ\>>)=70 + 32\<cdot\>60<rsup|-1>+3\<cdot\>60<rsup|-2>\<approx\>
    70,53
  </expand>

  \ Risulta interessante confrontare questo valore con il valore calcolato da
  Dr Geo. Per fare questo  necessario riportare il valore direttamente
  calcolato, attraverso il righello di Dr Geo, al caso di una circonferenza
  di raggio 60 calcolando:

  <\with|paragraph mode|justify>
    <\expand|equation*>
      crd<rsub|g>(72<rsup|\<circ\>>)=<frac|OZ|OC>\<cdot\>60
    </expand>
  </with>

  dove il pedice <with|mode|math|g> indica che il calcolo  fatto in Dr Geo.
  Data la semplicit del calcolo potremo azionare una calcolatrice ed
  eseguirlo direttamente. Tuttavia, come anticipazione, vediamo in che modod
  calcolare questo valore utilizzando uno script in Guile. Per progettare lo
  script dobbiamo aver chiaro che ci servono dati relativamente a due oggetti
  geometrici: vale a dire i segmenti <with|mode|math|OZ> (variabile
  <verbatim|a1>) e <with|mode|math|OC> (variabile <verbatim|a2>). Azioniamo
  allora l'utilit script in Drgeo e subito dopo clicchiamo con il mouse
  nell'ordine prima su <with|mode|math|OZ> e poi su <with|mode|math|OC>. A
  questo punto clicchiamo in un punto dello schermo dove vogliamo far
  comparire il risultato dello script. Ci apparir allora la scritta Dr.
  Genius. Possiamo ora procedere ad editare lo script: dopo aver selezionato
  il tasto propriet e cliccato sulla scritta si apre una finestra dove
  possiamo scrivere il seguente codice in Guile:

  \;

  <\with|paragraph mode|center>
    \ <block|<tformat|<twith|table bborder|0>|<cwith|1|1|1|1|cell
    bborder|0cm>|<cwith|2|2|1|1|cell bborder|0cm>|<cwith|3|3|1|1|cell
    background|white>|<cwith|2|2|1|1|cell
    background|white>|<cwith|1|1|1|1|cell
    background|white>|<table|<row|<cell|(<verbatim|define OZ (getLength
    a1))>>>|<row|<cell|<verbatim|(define OC (getLength
    a2))>>>|<row|<cell|<verbatim|(* 60 (/ OZ BC))>>>>>>\ 
  </with>

  \;

  \;

  Nella prima linea si definisce <verbatim|OZ> assegnando il valore numerico
  ottenuto prendendo la lunghezza dell'oggetto geometrico <verbatim|a1>,
  corrispondente al primo clic del mouse; quindi si definisce <verbatim|OC>
  prendendo la lunghezza dell'oggetto geometrico <verbatim|a2>,
  corrispondente al secondo clic del mouse, e infine si calcola
  l'espressione. Le operazioni vengono rappresentate come funzioni. Sullo
  schermo, vedi figura 3, viene visualizzato il valore <with|mode|math|70.53>
  corrispondente a quello tolemaico.<vspace*|1fn>

  <expand|big-figure|<postscript|figura3.png|*5/8|*5/8||||>|Calcolo di
  crd<with|mode|math|(72<rsup|\<circ\>>)> con Dr Geo>

  <section|Teorema di Tolomeo>

  \;

  Il capitolo decimo dell'<em|Almagesto> prosegue con l'enunciato e la
  dimostrazione del celebrato teorema di Tolomeo. Il teorema prende questo
  nome in quanto non si hanno documenti anteriori all'<em|Almagesto> in cui
  esso sia contenuto. Tuttavia  stato avanzato il dubbio che un teorema
  simile potesse essere contenuto in un opera di Menelao [1]. In assenza di
  ulteriori riscontri storici e con riferimento alla figura 4, si ha:

  <\theorem>
    (di Tolomeo) Sia <with|mode|math|ABCD> un qualsiasi quadrilatero
    inscritto in una circonferenza, allora la somma dei prodotti dei lati
    opposti  uguale al prodotto delle diagonali ossia:

    <\expand|equation*>
      AD\<cdot\>BC+AB\<cdot\>DC=AC\<cdot\>BD
    </expand>
  </theorem>

  <\proof>
    Costruiamo innanzitutto il segmento <with|mode|math|DE> in modo che
    <with|mode|math|\<angle\>ADE=\<angle\>BDC>. I triangoli
    <with|mode|math|ADE> e <with|mode|math|DCB> sono simili in quanto
    <with|mode|math|\<angle\>ADE=\<angle\>BDC> (per costruzione) e
    <with|mode|math|\<angle\>DAE=\<angle\>DBC> perch insistono entrambi
    sulla corda <with|mode|math|DC>. Allora:

    <\expand|equation*>
      <frac|AD|AE>=<frac|DB|BC>
    </expand>

    da cui <with|mode|math|AD\<cdot\>BC=AE\<cdot\>DB>. Inoltre i triangoli
    <with|mode|math|ABD> e <with|mode|math|DEC> sono simili in quanto
    <with|mode|math|\<angle\>ABD=\<angle\>ECD>, perch insistono entrambi
    sulla corda <with|mode|math|AD>, e <with|mode|math|\<angle\>ADB=\<angle\>EDC>
    in quanto somma di angoli uguali; allora anche:

    <\expand|equation*>
      <frac|AB|DB>=<frac|EC|DC>
    </expand>

    da cui <with|mode|math|AB\<cdot\>DC=EC\<cdot\>DB>. Sommando membro a
    membro si ha <with|mode|math|AD\<cdot\>BC+AB\<cdot\>DC=AE\<cdot\>DB+EC\<cdot\>DB>
    da cui la tesi.
  </proof>

  <vspace*|1fn>

  <expand|big-figure|<postscript|figura4.png|*5/8|*5/8||||>|Costruzione del
  teorema di Tolomeo>

  La dimostrazione tolemaica  semplice tuttavia vogliamo mostrare come,
  attraverso Dr Geo, si possa verificare empiricamente la sua validit.
  Naturalmente Dr Geo pu solo verificare, all'interno di errori di
  approssimazione, la validit della relazione precedente, anche se ci non
  costituisce una dimostrazione! Tuttavia vedremo subito che questo tipo di
  indagini hanno un'utilit didattica non trascurabile. Per verificare il
  teorema possiamo scrivere due script in Guile, la sintassi  identica a
  quella dello script precedente, uno per ogni membro della relazione del
  teorema di Tolomeo. Noteremo che in effetti i risultati di uscita degli
  script sono identici, vedi figura 4, \ e tali rimangono anche se si
  manipola dinamicamente la costruzione geometrica almeno fino a quando il
  poligono si mantiene convesso. Quando il poligono perde la convessit il
  teorema non  pi valido e questo Drgeo ce lo notifica con chiarezza in
  figura 5.<vspace*|1fn>

  \;

  <expand|big-figure|<postscript|figura5.png|*5/8|*5/8||||>|Teorema di
  Tolomeo: quadrilatero non convesso>

  Attraverso il software siamo quindi riusciti a scoprire che nell'enunciato
  del teorema manca la precisazione del fatto che il quadrilatero deve essere
  convesso. \ 

  <expand|section*|Bibliografia> \ 

  <\expand|enumerate-numeric>
    <item>J. Toomer, <em|Ptolemy's Almagest>, Princeton University Press,
    Princeton, 1998.

    <item>C. Boyer, <em|Storia della Matematica>, Mondadori, Milano, 1980.\ 
  </expand>

  \;

  \;

  \;
</body>

<\initial>
  <\collection>
    <associate|paragraph width|150mm>
    <associate|odd page margin|30mm>
    <associate|page right margin|30mm>
    <associate|page top margin|30mm>
    <associate|reduction page right margin|25mm>
    <associate|page type|a4>
    <associate|reduction page bottom margin|15mm>
    <associate|even page margin|30mm>
    <associate|reduction page left margin|25mm>
    <associate|page bottom margin|30mm>
    <associate|reduction page top margin|15mm>
    <associate|background color|broken white>
    <associate|language|italian>
  </collection>
</initial>

<\references>
  <\collection>
    <associate|gly-1|<tuple|1|?>>
    <associate|toc-1|<tuple|1|1>>
    <associate|toc-2|<tuple|2|1>>
    <associate|gly-2|<tuple|2|?>>
    <associate|gly-3|<tuple|3|?>>
    <associate|toc-3|<tuple|3|3>>
    <associate|gly-4|<tuple|4|?>>
    <associate|gly-5|<tuple|5|?>>
    <associate|gly-6|<tuple|6|?>>
  </collection>
</references>

<\auxiliary>
  <\collection>
    <\associate|figure>
      <tuple|normal||<pageref|gly-1>>

      <tuple|normal||<pageref|gly-2>>

      <tuple|normal||<pageref|gly-3>>

      <tuple|normal||<pageref|gly-4>>

      <tuple|normal||<pageref|gly-5>>
    </associate>
    <\associate|toc>
      <vspace*|1fn><with|font series|<quote|bold>|math font
      series|<quote|bold>|1<space|2spc>Introduzione><value|toc-dots><pageref|toc-1><vspace|0.5fn>

      <vspace*|1fn><with|font series|<quote|bold>|math font
      series|<quote|bold>|2<space|2spc>Pentagono e
      decagono><value|toc-dots><pageref|toc-2><vspace|0.5fn>

      <vspace*|1fn><with|font series|<quote|bold>|math font
      series|<quote|bold>|3<space|2spc>Teorema di
      Tolomeo><value|toc-dots><pageref|toc-3><vspace|0.5fn>
    </associate>
  </collection>
</auxiliary>
